/*--- (c) 2002 iWombat.com All rights reserved ---*/

package com.iwombat.foundation.environment;

import com.iwombat.foundation.WombatRuntimeException;

/**
 * Exception thrown when any member of environment package encounters problems
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:44:00 $</dd></dl>
 */
public class EnvironmentException extends WombatRuntimeException {

    /**
     * Creates a new instance of <code>CIBException</code> without detail message.
     */
    public EnvironmentException() {}

    /**
     * Constructs an instance of <code>CIBException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public EnvironmentException(String msg) {
        super(msg);
    }
    
    public EnvironmentException(String msg, Throwable e) {
        super(msg, e);
    }
}


