// (c) Copyright 2001-2002 iwombat.com all rights reserved
package com.iwombat.foundation.persist;
/**
 * Exception for identifying Persistence configuration exceptions
 *
 * @author  $Author: brentp $
 * @version $Revision: 1.3 $
 * 
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/11/18 16:04:40 $</dd></dl>
 */

public class PersistenceConfigException extends PersistenceException {

    /**
     * Creates new <code>PersistenceConfigException</code> without detail message.
     */
    public PersistenceConfigException() {
        super();
    }

    /**
     * Constructs an <code>PersistenceConfigException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public PersistenceConfigException(String msg) {
        super(msg);
    }
    
    /**
     * Constructs an <code>PersistenceConfigException</code> with the specified detail message.
     * This constructor is to be used when re-throwing an exception and takes the caught Throwable as a parameter.
     * @param msg the detail message.
     * @param t the throwable that was caught and is being re-thrown.
     */
    public PersistenceConfigException(String msg, Throwable t) {
        super(msg, t);
    }
}
