/*
 * ComprehensiveDomainObjectPersistable.java
 *
 */

package com.iwombat.foundation.persist;

/**
 *
 */
import com.iwombat.foundation.Identifier;

public interface ComprehensiveDomainObjectDAO extends TransactionalDAO{

    public static final String CREATE_COMPREHENSIVE_DOMAIN_OBJECT="createComprehensiveDomainObject";
    public static final String UPDATE_COMPREHENSIVE_DOMAIN_OBJECT="updateComprehensiveDomainObject";
    public static final String GET_COMPREHENSIVE_DOMAIN_OBJECT_BY_ID="getComprehensiveDomainObjectById";
    public static final String DELETE_COMPREHENSIVE_DOMAIN_OBJECT="deleteComprehensiveDomainObject";
    
    public void addComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject);
    public void updateComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject);
    public ComprehensiveDomainObject getComprehensiveDomainObjectById(Identifier id);
    public void deleteComprehensiveDomainObject(ComprehensiveDomainObject comprehensiveDomainObject);

}
