// (c) Copyright 2001-2002 iwombat.com all rights reserved

package com.iwombat.foundation.persist;

import java.util.ArrayList;
/**
 * This class encapsulates a prepared statement, including the ability to bind variable
 * names into an order in the prepared statement. These objects can be XMLEncoded, 
 * placed into resource bundles and localized to a vendor and version of a relational database.
 *
 * @author  $Author: bob $
 * @version $Revision: 1.2 $
 * <br>
 * <dl><dt><b>Date:</b><dd>$Date: 2002/10/01 17:47:13 $</dd></dl>
 */

public class SQLDescriptor {

    String key = null;
    String statement = null;
    ArrayList variableNameOrder = new ArrayList();
    
    /** Creates a new instance of SQLDescriptor */
    public SQLDescriptor() {
    }
    
    public String getKey() {
        return key;
    }
    
    public void setKey(String newKey) {
        this.key = newKey;
    }
    
    public String getStatement() {
        return statement;
    }
    
    public void setStatement(String newStatement) {
        this.statement = newStatement;
    }
    
    public ArrayList getVariableNameOrder() {
        return variableNameOrder;
    }
    
    public void setVariableNameOrder(ArrayList newOrder) {
        variableNameOrder = newOrder;
    }
}
